Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Glacier2::StringSet`

## Overview

    interface StringSet

An object for managing the set of identity constraints for specific parts of object identity on a `Session`.

### See Also

`Session`, `SessionControl`

### Operation Index

`add`

  Add a sequence of strings to this set of constraints.

`remove`

  Remove a sequence of strings from this set of constraints.

`get`

  Returns a sequence of strings describing the constraints in this set.

## `add`

    void add(::Ice::StringSeq additions);

Add a sequence of strings to this set of constraints. Order is not preserved and duplicates are implicitly removed.

### Parameters

`additions`

  The sequence of strings to be added.

## `remove`

    void remove(::Ice::StringSeq deletions);

Remove a sequence of strings from this set of constraints. No errors are returned if an entry is not found.

### Parameters

`deletions`

  The sequence of strings to be removed.

## `get`

    ::Ice::StringSeq get();

Returns a sequence of strings describing the constraints in this set.

### Return Value

The sequence of strings for this set.

<<< Previous | Home | Next >>>
`Glacier2::SessionNotExistException` | Up | `IceGrid`